
ctools - Action #1935

Feature # 1932 (Closed): Add package build and check functionality to ctools

Integrate centos_packaging branch

02/28/2017 05:44 PM - Brau-Nogué Sylvie

Status: Pull request Start date: 02/28/2017

Priority: Urgent Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Comme convenu, j'ai préparé une branche "centos_packaging", mais depuis la VM de test, je n'arrive pas à pusher

[osboxes@localhost ctools]$ git push origin centos_packaging

error: The requested URL returned error: 401 Unauthorized while accessing

 https://cta-gitlab.irap.omp.eu/sbrau-nogue/ctools.git/info/refs

fatal: HTTP request failed

Donc, j'ai fait le smodifications directement sur le gitlab. Les fichiers qui ont été modifiés ou ajoutés sont :

makefile.am

configure.ac

ctools.spec.in

dev/pkgbuild_centos.sh

dev/pkgcheck_centos.sh

IMPORTANT A noter :

Il faut changer les permissions (Exécutables) des fichiers dev *_centos.sh

l'installation de ctools se fait dans le répertoire /usr/local/gamma/ctools

History

#1 - 03/01/2017 10:48 AM - Brau-Nogué Sylvie

- File ctools.spec added

- Status changed from New to In Progress

- % Done changed from 0 to 50

La situation a évolué sensiblement :

résolution des problèmes de liens symboliques entre ctools/bin  et lib64/...../cscripts.*.py --# nouveau fichier ctools.spec

depuis les tests cscripts sont OK (ligne de commande : python -c 'import cscripts; cscripts.test()')

*************************

* cscripts unit testing *

*************************

Test cscaldb on command line: ... ok

Test cscaldb from Python: . ok

Test cslightcrv on command line: ................ ok

Test cslightcrv from Python: ................................................. ok

Test csmodelinfo on command line: ...... ok

Test csmodelinfo from Python: ..... ok

Test csmodelmerge on command line: ..... ok

Test csmodelmerge from Python: ..... ok

Test csobs2caldb on command line: ........ ok

Test csobs2caldb from Python: ......... ok

Test csobsdef on command line: ....................... ok

Test csobsdef from Python: .......................................................... ok
Test csobsinfo on command line: ...... ok

Test csobsinfo from Python: ..... ok

Test cspull on command line: ..... ok

Test cspull from Python: ....... ok

Test csresmap on command line: ....... ok

Test csresmap from Python: ....... ok

Test csroot2caldb on command line: ... ok

Test csroot2caldb from Python: +++ WARNING in csroot2caldb: ROOT Python module not present, script will create empty IRF.

. ok

Test cssens on command line: ...... ok

Test cssens from Python: ... ok

Test csspec on command line: ...... ok

Test csspec from Python: ..... ok

Test cstsdist on command line: ...... ok

Test cstsdist from Python: ... ok

Test cstsmapmerge on command line: ............. ok

Test cstsmapmerge from Python: ..................................... ok

Test cstsmapsplit on command line: ..... ok

Test cstsmapsplit from Python: .... ok

Test csworkflow on command line: ........ ok

Test csworkflow from Python: ........... ok

Test csfindobs on command line: ....... ok

Test csfindobs from Python: .... ok

Test csiactcopy on command line: ......... ok

Test csiactcopy from Python: ...... ok

Test csiactdata on command line: .... ok

Test csiactdata from Python: . ok

Test csiactobs on command line: ................ ok

Test csiactobs from Python: ............. ok

#2 - 03/01/2017 04:10 PM - Brau-Nogué Sylvie

- File deleted (ctools.spec)

#3 - 03/01/2017 04:24 PM - Brau-Nogué Sylvie

- File ctools.spec added

- File pkgbuild-centos.sh added

- File pkgcheck-centos.sh added
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

Branche terminée

ctools.spec.in

dev/pkgbuild-centos.sh

2 paramètres : nom du package et version (pour le moment RELEASE=1)

installe ncurses, readline et cfitsio si absents (pour le moment ne choisit pas le numéro de version)

n'installe pas gammalib, (puisque suit make puis make dist)

dev/pkgcheck-centos.sh

2 paramètres : nom du package et version (attention besoin de la Release, pour le moment RELEASE=1)

teste le package sur un autre emplacement que l'emplacement officiel d'installation (option --relocate ou --prefix)

désinstalle le package après les tests

Makefile.am

TODO :

dans ctools.spec.in : fixer la valeur de la variable RELEASE

idem pour dev/pkgbuild-centos.sh

idem pour dev/pkgcheck-centos.sh

décider si on rajoute les fichiers ctools.dist et Licence.txt dans le rpm

et choisir son emplacement

contrôler que les liens symboliques sont toujours corrects quelque soit la version du système (configuration dans ctools.spec.in)

#4 - 03/02/2017 04:18 PM - Brau-Nogué Sylvie

gammalib

Dépôt sur https://cta-gitlab.irap.omp.eu/sbrau-nogue/gammalib.git branche centos_packaging

ctools

Dépôt sur https://cta-gitlab.irap.omp.eu/sbrau-nogue/ctools.git branche centos_packaging

#5 - 03/03/2017 10:47 AM - Knödlseder Jürgen

- Subject changed from Intégrer branche centos_packaging to Integrate centos_packaging branch

- Status changed from Resolved to Pull request

- Priority changed from Normal to Urgent

- Target version changed from 1.2.0 to 1.3.0

I need to check the code, but do not have time for this for the 1.2.0 release. Therefore moved to next release.
#6 - 03/07/2017 02:46 PM - Brau-Nogué Sylvie

- File deleted (pkgbuild-centos.sh)

#7 - 03/07/2017 02:46 PM - Brau-Nogué Sylvie

- File deleted (ctools.spec)

#8 - 03/07/2017 02:47 PM - Brau-Nogué Sylvie

- File deleted (pkgcheck-centos.sh)

#9 - 03/07/2017 02:52 PM - Brau-Nogué Sylvie

- File ctools.spec.in added

- File Makefile.am added

- File pkgbuild-centos.sh added

- File pkgcheck-centos.sh added

Today : Packaging Scripts stabilized, process more reliable

https://cta-gitlab.irap.omp.eu/sbrau-nogue/ctools.git ; branch centos_packaging

https://cta-gitlab.irap.omp.eu/sbrau-nogue/gammalib.git ; branch centos_packaging

#10 - 05/10/2017 05:33 PM - Brau-Nogué Sylvie

UBUNTU pkgbuild and pkgcheck implemented  (branch centos_packaging)

#11 - 06/07/2017 05:48 PM - Knödlseder Jürgen

- Target version changed from 1.3.0 to 1.4.0

#12 - 08/01/2017 09:54 AM - Knödlseder Jürgen

- Target version changed from 1.4.0 to 1.5.0

#13 - 01/23/2018 12:14 PM - Knödlseder Jürgen

- Target version deleted (1.5.0)

Files

Makefile.am 10.8 KB 03/07/2017 Brau-Nogué Sylvie

ctools.spec.in 5.34 KB 03/07/2017 Brau-Nogué Sylvie

pkgbuild-centos.sh 7.41 KB 03/07/2017 Brau-Nogué Sylvie

pkgcheck-centos.sh 6.76 KB 03/07/2017 Brau-Nogué Sylvie
